# Generated by Django 3.2.11 on 2022-03-03 08:46

import wagtail.blocks
import wagtail.fields
from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ("district", "0035_remove_districtpersonpage_perex"),
    ]

    operations = [
        migrations.AddField(
            model_name="districtpersonpage",
            name="other_urls",
            field=wagtail.fields.StreamField(
                [
                    (
                        "other_url",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Název", required=True
                                    ),
                                ),
                                (
                                    "url",
                                    wagtail.blocks.URLBlock(label="URL", required=True),
                                ),
                                (
                                    "custom_icon",
                                    wagtail.blocks.CharBlock(
                                        help_text="Pro vlastní ikonku zadejde název ikonky z https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons (bez tečky), např. 'ico--beer'",
                                        label="Vlastní ikonka ze styleguide",
                                        required=False,
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                verbose_name="Další odkaz",
            ),
        ),
    ]
